summaryrefslogtreecommitdiff
path: root/t/txinfo-absolute-srcdir-pr408.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-12-31 12:48:36 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-12-31 12:48:36 +0100
commit767f8320eba745da0d829e51b8cf0e82a00c1bbb (patch)
tree155ac0c5db2f0f70719bf91b2a02c46799a6712a /t/txinfo-absolute-srcdir-pr408.sh
parentac5c1d7782732c7245bcd8a2cbe63fefdafeda99 (diff)
downloadautomake-767f8320eba745da0d829e51b8cf0e82a00c1bbb.tar.gz
tests: more explicative names for some tests
Do so for several Texinfo-related tests. Note that some of such tests with suboptimal names are *not* renamed; that's because they are going to be removed in the master branch anyway (since they check from some soon-to-be-removed features), so renaming them would be wasted work, and could even create useless merge conflicts. * t/txinfo2.sh: Rename ... * t/txinfo-no-extra-dist.sh: ... like this. * t/txinfo3.sh: Rename ... * t/txinfo-suffix-less-info.sh: ... like this. * t/txinfo4.sh: Rename ... * t/txinfo-unrecognized-info-suffix.sh: ... like this. * t/txinfo6.sh: Rename ... * t/txinfo-other-suffixes.sh: ... like this. * t/txinfo7.sh: Rename ... * t/txinfo-add-missing.sh: ... like this. * t/txinfo8.sh: Rename ... * t/txinfo-add-missing2.sh: ... like this. * t/txinfo9.sh: Rename ... * t/txinfo-no-repeated-targets.sh: ... like this. * t/txinfo17.sh: Rename ... * t/txinfo-setfilename-repeated.sh: ... like this. * t/txinfo13.sh: Rename ... * t/txinfo-subdir-pr343.sh: ... like this. * t/txinfo16.sh: Rename ... * t/txinfo-info-in-srcdir.sh: ... like this. * t/txinfo21.sh: Rename ... * t/txinfo-many-output-formats.sh: ... like this. * t/txinfo22.sh: Rename ... * t/txinfo-override-texinfo-tex.sh: ... like this. * t/txinfo26.sh: Rename ... * t/txinfo-absolute-srcdir-pr408.sh: ... like this. * t/txinfo27.sh: Rename ... * t/txinfo-no-installinfo.sh: ... like this. * t/txinfo29.sh: Rename ... * t/txinfo-override-infodeps.sh: ... like this. * t/txinfo31.sh: Rename ... * t/txinfo-setfilename-suffix-match.sh: ... like this. * t/txinfo32.sh: Rename ... * t/txinfo-bsd-make-recurs.sh: ... like this. * t/txinfo33.sh: Rename ... * t/txinfo-clean.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/txinfo-absolute-srcdir-pr408.sh')
-rwxr-xr-xt/txinfo-absolute-srcdir-pr408.sh70
1 files changed, 70 insertions, 0 deletions
diff --git a/t/txinfo-absolute-srcdir-pr408.sh b/t/txinfo-absolute-srcdir-pr408.sh
new file mode 100755
index 000000000..268f81880
--- /dev/null
+++ b/t/txinfo-absolute-srcdir-pr408.sh
@@ -0,0 +1,70 @@
+#! /bin/sh
+# Copyright (C) 2003-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure Texinfo installation works when absolute --srcdir is used.
+# PR/408
+
+required='makeinfo'
+. test-init.sh
+
+echo AC_OUTPUT >> configure.ac
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = main.texi
+END
+
+
+cat > main.texi << 'END'
+\input texinfo
+@setfilename main.info
+@settitle main
+@node Top
+Hello walls.
+@include version.texi
+@bye
+END
+
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure
+$MAKE
+$MAKE distclean
+
+abscwd=$(pwd) || fatal_ "getting current working directory"
+
+mkdir build
+cd build
+../configure --srcdir="$abscwd" \
+ --prefix="$abscwd/build/_inst" \
+ --infodir="$abscwd/build/_inst/info"
+
+$MAKE install
+
+test -f ../main.info
+test ! -e ./main.info
+test -f _inst/info/main.info
+
+$MAKE uninstall
+test ! -e _inst/info/main.info
+test -f ../main.info
+
+# Multiple uninstall should not fail.
+$MAKE uninstall
+
+: